Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.impl.bridge
Class EntityAccessStrategyAdapter

    java.lang.Object
      org.hibernate.cache.impl.bridge.EntityAccessStrategyAdapter

All Implemented Interfaces:
  EntityRegionAccessStrategy

    public class EntityAccessStrategyAdapter

extends Object
implements EntityRegionAccessStrategy

Adapter specifically bridging `EntityRegionAccessStrategy` to `CacheConcurrencyStrategy`.

Author:
  Steve Ebersole

Constructor Summary
`EntityAccessStrategyAdapter(EntityRegion region, CacheConcurrencyStrategy ccs, Settings settings)`

Method Summary
`boolean` | `afterInsert(Object key, Object value, Object version)` Called after an item has been inserted (after the transaction completes), instead of calling release().
`boolean` | `afterUpdate(Object key, Object value, Object currentVersion, Object previousVersion, SoftLock lock)` Called after an item has been updated (after the transaction completes), instead of calling release().
`void` | `destroy()`
`void` | `evict(Object key)` Forcibly evict an item from the cache immediately without regard for transaction isolation.
`void` | `evictAll()` Forcibly evict all items from the cache immediately without regard for transaction isolation.
`Object` | `get(Object key, long txTimestamp)` Attempt to retrieve an object from the cache.
`EntityRegion` | `getRegion()` Get the wrapped entity cache region
`boolean` | `insert(Object key, Object value, Object version)` Called after an item has been inserted (before the transaction completes), instead of calling evict().
`SoftLock` | `lockItem(Object key, Object version)` We are going to attempt to update/delete the keyed object.
`SoftLock` | `lockRegion()` Lock the entire region
`boolean` | `putFromLoad(Object key, Object value, long txTimestamp, Object version)` Attempt to cache an object, after loading from the database.
`boolean` | `putFromLoad(Object key, Object value, long txTimestamp, Object version, boolean minimalPutOverride)` Attempt to cache an object, after loading from the database, explicitly specifying the minimalPut behavior.
`void` | `remove(Object key)` Called after an item has become stale (before the transaction completes).
`void` | `removeAll()` Called to evict data from the entire region
`void` | `unlockItem(Object key, SoftLock lock)` Called when we have finished the attempted update/delete (which may or may not have been successful), after transaction completion.
`void` | `unlockRegion(SoftLock lock)` Called after we have finished the attempted invalidation of the entire region
`boolean` | `update(Object key, Object value, Object currentVersion, Object previousVersion)` Called after an item has been updated (before the transaction completes), instead of calling evict().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAccessStrategyAdapter

    public EntityAccessStrategyAdapter(EntityRegion region,
                                       CacheConcurrencyStrategy ccs,
                                       Settings settings)

Method Detail

### getRegion

    public EntityRegion getRegion()

  Description copied from interface: `EntityRegionAccessStrategy`
  Get the wrapped entity cache region

  Specified by:
    `getRegion` in interface `EntityRegionAccessStrategy`
  Returns:
    The underlying region

### get

    public Object get(Object key,
                      long txTimestamp)
               throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Attempt to retrieve an object from the cache. Mainly used in attempting to resolve entities/collections from the second level cache.

  Specified by:
    `get` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The key of the item to be retrieved.
    `txTimestamp` - a timestamp prior to the transaction start time
  Returns:
    the cached object or `null`
  Throws:
    `CacheException` - Propogated from underlying `Region`

### putFromLoad

    public boolean putFromLoad(Object key,
                               Object value,
                               long txTimestamp,
                               Object version)
                        throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Attempt to cache an object, after loading from the database.

  Specified by:
    `putFromLoad` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `txTimestamp` - a timestamp prior to the transaction start time
    `version` - the item version number
  Returns:
    `true` if the object was successfully cached
  Throws:
    `CacheException` - Propogated from underlying `Region`

### putFromLoad

    public boolean putFromLoad(Object key,
                               Object value,
                               long txTimestamp,
                               Object version,
                               boolean minimalPutOverride)
                        throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Attempt to cache an object, after loading from the database, explicitly specifying the minimalPut behavior.

  Specified by:
    `putFromLoad` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `txTimestamp` - a timestamp prior to the transaction start time
    `version` - the item version number
    `minimalPutOverride` - Explicit minimalPut flag
  Returns:
    `true` if the object was successfully cached
  Throws:
    `CacheException` - Propogated from underlying `Region`

### lockItem

    public SoftLock lockItem(Object key,
                             Object version)
                      throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  We are going to attempt to update/delete the keyed object. This method is used by "asynchronous" concurrency strategies.

  The returned object must be passed back to release(), to release the lock. Concurrency strategies which do not support client-visible locks may silently return null.

  Specified by:
    `lockItem` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The key of the item to lock
    `version` - The item's current version value
  Returns:
    A representation of our lock on the item; or null.
  Throws:
    `CacheException` - Propogated from underlying `Region`

### lockRegion

    public SoftLock lockRegion()
                        throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Lock the entire region

  Specified by:
    `lockRegion` in interface `EntityRegionAccessStrategy`
  Returns:
    A representation of our lock on the item; or null.
  Throws:
    `CacheException` - Propogated from underlying `Region`

### unlockItem

    public void unlockItem(Object key,
                           SoftLock lock)
                    throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called when we have finished the attempted update/delete (which may or may not have been successful), after transaction completion. This method is used by "asynchronous" concurrency strategies.

  Specified by:
    `unlockItem` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `lock` - The lock previously obtained from `EntityRegionAccessStrategy.lockItem(java.lang.Object, java.lang.Object)`
  Throws:
    `CacheException` - Propogated from underlying `Region`

### unlockRegion

    public void unlockRegion(SoftLock lock)
                      throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after we have finished the attempted invalidation of the entire region

  Specified by:
    `unlockRegion` in interface `EntityRegionAccessStrategy`
  Parameters:
    `lock` - The lock previously obtained from `EntityRegionAccessStrategy.lockRegion()`
  Throws:
    `CacheException` - Propogated from underlying `Region`

### insert

    public boolean insert(Object key,
                          Object value,
                          Object version)
                   throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after an item has been inserted (before the transaction completes), instead of calling evict(). This method is used by "synchronous" concurrency strategies.

  Specified by:
    `insert` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `version` - The item's version value
  Returns:
    Were the contents of the cache actual changed by this operation?
  Throws:
    `CacheException` - Propogated from underlying `Region`

### afterInsert

    public boolean afterInsert(Object key,
                               Object value,
                               Object version)
                        throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after an item has been inserted (after the transaction completes), instead of calling release(). This method is used by "asynchronous" concurrency strategies.

  Specified by:
    `afterInsert` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `version` - The item's version value
  Returns:
    Were the contents of the cache actual changed by this operation?
  Throws:
    `CacheException` - Propogated from underlying `Region`

### update

    public boolean update(Object key,
                          Object value,
                          Object currentVersion,
                          Object previousVersion)
                   throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after an item has been updated (before the transaction completes), instead of calling evict(). This method is used by "synchronous" concurrency strategies.

  Specified by:
    `update` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `currentVersion` - The item's current version value
    `previousVersion` - The item's previous version value
  Returns:
    Were the contents of the cache actual changed by this operation?
  Throws:
    `CacheException` - Propogated from underlying `Region`

### afterUpdate

    public boolean afterUpdate(Object key,
                               Object value,
                               Object currentVersion,
                               Object previousVersion,
                               SoftLock lock)
                        throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after an item has been updated (after the transaction completes), instead of calling release(). This method is used by "asynchronous" concurrency strategies.

  Specified by:
    `afterUpdate` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The item key
    `value` - The item
    `currentVersion` - The item's current version value
    `previousVersion` - The item's previous version value
    `lock` - The lock previously obtained from `EntityRegionAccessStrategy.lockItem(java.lang.Object, java.lang.Object)`
  Returns:
    Were the contents of the cache actual changed by this operation?
  Throws:
    `CacheException` - Propogated from underlying `Region`

### remove

    public void remove(Object key)
                throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called after an item has become stale (before the transaction completes). This method is used by "synchronous" concurrency strategies.

  Specified by:
    `remove` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The key of the item to remove
  Throws:
    `CacheException` - Propogated from underlying `Region`

### removeAll

    public void removeAll()
                   throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Called to evict data from the entire region

  Specified by:
    `removeAll` in interface `EntityRegionAccessStrategy`
  Throws:
    `CacheException` - Propogated from underlying `Region`

### evict

    public void evict(Object key)
               throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Forcibly evict an item from the cache immediately without regard for transaction isolation.

  Specified by:
    `evict` in interface `EntityRegionAccessStrategy`
  Parameters:
    `key` - The key of the item to remove
  Throws:
    `CacheException` - Propogated from underlying `Region`

### evictAll

    public void evictAll()
                  throws CacheException

  Description copied from interface: `EntityRegionAccessStrategy`
  Forcibly evict all items from the cache immediately without regard for transaction isolation.

  Specified by:
    `evictAll` in interface `EntityRegionAccessStrategy`
  Throws:
    `CacheException` - Propogated from underlying `Region`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.